clear

// use "/Users/fausto/Desktop/riconti/DATI.dta" // large ESS database


// GERMANY BORN ONLY
// keep if cntry=="DE"
// keep if brncntr==1

// save data1


use "data-jode.dta" // lighter reduced data set



// FATHER BIRTH COUNTRY
gen countryf = "KILL"
replace countryf = fbrncnt if essround==2
replace countryf = fbrncnt if essround==3
replace countryf = fbrncnta if essround==4
replace countryf = fbrncnta if essround==5
replace countryf = fbrncntb if essround==6
replace countryf = fbrncntb if essround==7
replace countryf = fbrncntb if essround==8
replace countryf = fbrncntc if essround==9
replace countryf = fbrncntc if essround==10

// NO CHILDREN OF GERMAN FATHER
replace countryf="." if countryf=="DE"

// NO EXCEPTION CODES
replace countryf="." if countryf=="KILL" |countryf=="02" |countryf=="03" |countryf=="04" |countryf=="06" |countryf=="1000" |countryf=="11" |countryf=="13" |countryf=="14" |countryf=="143" |countryf=="145" |countryf=="15" |countryf=="151" |countryf=="154" |countryf=="155" |countryf=="17" |countryf=="2" |countryf=="2000" |countryf=="21" |countryf=="29" |countryf=="30" |countryf=="3000" |countryf=="34" |countryf=="35" |countryf=="39" |countryf=="4000" |countryf=="5" | countryf=="53" |countryf=="66" |countryf=="6666" |countryf=="77" |countryf=="7777" |countryf=="88" |countryf=="99"|countryf=="9999" |countryf=="18"

// MOTHER BIRTH COUNTRY
gen countrym = "KILL"
replace countrym = mbrncnt if essround==2
replace countrym = mbrncnt if essround==3
replace countrym = mbrncnta if essround==4
replace countrym = mbrncnta if essround==5
replace countrym = mbrncntb if essround==6
replace countrym = mbrncntb if essround==7
replace countrym = mbrncntb if essround==8
replace countrym = mbrncntc if essround==9
replace countrym = mbrncntc if essround==10


// NO CHILDREN OF GERMAN MOTHER
replace countrym="." if countrym=="DE"
//
// // NO EXCEPTION CODES
replace countrym="." if countrym=="KILL" |countrym=="02" |countrym=="03" |countrym=="04" |countrym=="06" |countrym=="1000" |countrym=="11" |countrym=="13" |countrym=="14" |countrym=="143" |countrym=="145" |countrym=="15" |countrym=="151" |countrym=="154" |countrym=="155" |countrym=="17" |countrym=="2" |countrym=="2000" |countrym=="21" |countrym=="29" |countrym=="30" |countrym=="3000" |countrym=="34" |countrym=="35" |countrym=="39" |countrym=="4000" |countrym=="5" | countrym=="53" |countrym=="66" |countrym=="6666" |countrym=="77" |countrym=="7777" |countrym=="88" |countrym=="99"|countrym=="9999" |countrym=="18"








// BOTH PARENTS BIRTH COUNTRY

gen countryp= "KILL"

replace countryp=countryf if countryf==countrym

replace countryp="." if countryp=="KILL"





// NOEEC FATHER

gen noEECf=1
replace noEECf=0 if countryf=="IT"
replace noEECf=0 if countryf=="BE"
replace noEECf=0 if countryf=="NL"
replace noEECf=0 if countryf=="LU"
replace noEECf=0 if countryf=="FR"
replace noEECf=0 if countryf=="DE"
replace noEECf=0 if countryf=="DK"
replace noEECf=0 if countryf=="IE"
replace noEECf=0 if countryf=="GB"
replace noEECf=0 if countryf=="AT"


replace noEECf=. if countryf=="."



// NOEEC MOTHER

gen noEECm=1
replace noEECm=0 if countrym=="IT"
replace noEECm=0 if countrym=="BE"
replace noEECm=0 if countrym=="NL"
replace noEECm=0 if countrym=="LU"
replace noEECm=0 if countrym=="FR"
replace noEECm=0 if countrym=="DE"
replace noEECm=0 if countrym=="DK"
replace noEECm=0 if countrym=="IE"
replace noEECm=0 if countrym=="GB"
replace noEECm=0 if countrym=="AT"

replace noEECm=. if countrym=="."


// NOEEC PARENTS
gen noEECp=1
replace noEECp=0 if countryp=="IT"
replace noEECp=0 if countryp=="BE"
replace noEECp=0 if countryp=="NL"
replace noEECp=0 if countryp=="LU"
replace noEECp=0 if countryp=="FR"
replace noEECp=0 if countryp=="DE"
replace noEECp=0 if countryp=="DK"
replace noEECp=0 if countryp=="IE"
replace noEECp=0 if countryp=="GB"
replace noEECp=0 if countryp=="AT"

replace noEECp=. if countryp=="."







// AT LEAST A PARENT BORN ABROAD

gen noEECf10 = 10+noEECf
egen noEECpp10 = rowtotal(noEECf10 noEECm)
replace noEECpp10=. if noEECf==. & noEECm==.
gen noEECpp = 0 if noEECpp10 == 10
replace noEECpp = 1 if noEECpp10 == 1
replace noEECpp = 1 if noEECpp10 == 11
replace noEECpp = 1 if noEECpp10 == 12

gen countrypp = "KILL"
replace countrypp = countryf if noEECpp10 ==10
replace countrypp = countryf if noEECpp10 == 11
replace countrypp = countryf if noEECpp10 == 12
replace countrypp = countrym if noEECpp10 == 1
replace countrypp = "." if countrypp=="KILL"





// POST

gen post=0
replace post=1 if yrbrn >	 1973

//  
gen pre=0
replace pre=1 if yrbrn < 1973


// ROUND

tab essround, gen(round)

  
// REGION

tab region, gen(land)

// MISSING VALUE FOR YEAR OF BIRTH  

drop if yrbrn==.a
drop if yrbrn==.b
drop if yrbrn==.c


// TREATMENT father

gen treatmentf = post*noEECf
// TREATMENT mother
gen treatmentm = post*noEECm

// TREATMENT PARENTS
gen treatmentp= post*noEECp

// TREATMENT PARENTS PP
gen treatmentpp= post*noEECpp


// DUMMY MALE
gen male=0
replace male=1 if gndr==1


// SIGN CHANGE FOR PARTECIPATION AND PRAY TO FOR CONSISTENCY WITH RELIGIOSITY

gen Prayy=-pray

// MISSING VALUES
replace Pray=.  if Pray==.a| Pray==.b | Pray==.c 


gen Participation= -rlgatnd
replace Participation=. if rlgatnd==.a| rlgatnd==.b | rlgatnd==.c 





// AND AFFILIATION


gen religion_atpresent= rlgdnm

// MISSING VALUE RELIGION 

replace religion_atpresent=9 if rlgdnm==.a
replace religion_atpresent=10 if rlgdnm==.b
replace religion_atpresent=11 if rlgdnm==.c



gen Christian=0 
replace Christian=1 if religion_atpresent ==1  
replace Christian=1 if religion_atpresent ==4
gen Protestant=(religion_atpresent ==2)
gen Orthodox=(religion_atpresent ==3)
gen Jewish=(religion_atpresent ==5)
gen Islam=(religion_atpresent ==6)
gen other=(religion_atpresent ==7)
replace other=1 if religion_atpresent ==8
gen nonreligion=(religion_atpresent ==9)
replace nonreligion=1 if religion_atpresent ==10 
replace nonreligion=1 if religion_atpresent ==11 

// GENERATE VARIABLES FOR INTERACTION 

gen Christian_after1973=Christian* post
gen Christian_before1973=Christian* pre
gen protestant_after1973=Protestant*post
gen protestant_before1973=Protestant*pre
gen Orthodox_after1973=Orthodox* post
gen Orthodox_before1973=Orthodox* pre
gen Jewish_after1973=Jewish* post
gen Jewish_before1973=Jewish* pre
gen Islam_after1973=Islam* post
gen Islam_before1973=Islam* pre
gen other_after1973=other* post
gen other_before1973=other*pre
gen nonreligion_after1973=nonreligion*post
gen nonreligion_before1973=nonreligion*pre 


// COUNTERFACTUAL PER PLACEBO

gen born_after1963=(yrbrn>1963)

gen born_after1967=(yrbrn>1967)


gen treatment1963=born_after1963*noEECf

gen treatment1967=born_after1967*noEECf






// TABLE 1: descriptive statistics

estpost sum rlgdgr  post   noEECf yrbrn male round1 round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn>=1963 & yrbrn<=1983) & treatmentf!=.

encode countrym, generate(countrymm)
encode countryf, generate(countryff)

gen decennioreale = yrbrn/10
gen decade = trunc(decennioreale)



// TABLE 2: MAIN REGRESSIONS, T=table C=column

	

// T2 C1 oprobit cluster
oprobit rlgdgr treatmentf post noEECf male yrbrn round1 round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn>=1963 & yrbrn<=1983 ), vce (cluster countryf)

boottest treatmentf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly


// T2 C2 ols cluster
reg rlgdgr treatmentf post noEECf male yrbrn round1 round2 round3 round4 round5 round6 round7 round8 round9  if (yrbrn>=1963 & yrbrn<=1983) , vce (cluster countryf)

boottest treatmentf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly


// TABLE 4: PLACEBO

// T4 C1 53-63-73
oprobit rlgdgr treatment1963 born_after1963 noEECf male  yrbrn round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn>=1953 & yrbrn<=1973), vce(cluster countryf)

boottest treatment1963, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest born_after1963, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly




// T4 C2 61-67-73
oprobit rlgdgr treatment1967 born_after1967 noEECf male  yrbrn round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn>=1961 & yrbrn<=1973), vce(cluster countryf)

// boottest treatment1967, cluster(countryf) weighttype(gamma) seed(1) reps(100) 
boottest treatment1967, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest born_after1967, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly







// TABLE 5: LAND AND RELIGION

// T5C1 land
oprobit rlgdgr treatmentf noEECf post yrbrn male round1 round2 round3 round4 round5 round6 round7 round8 round9  land1 land2 land3 land4 land5 land6 land7 land9 land10 land11 land12 land13 land14 land15 land16  if (yrbrn > 1962 & yrbrn < 1984)  , vce(cluster countryf)

boottest treatmentf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly


// T5 C2 religion
oprobit rlgdgr treatmentf post noEECf male  yrbrn round2 round3 round4 round5 round6 round7 round8 round9  Christian Protestant Orthodox Jewish Islam other  if (yrbrn>=1963 & yrbrn<=1983),vce (cluster countryf)

boottest treatmentf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest Christian, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest Protestant, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest Orthodox, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest Jewish, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest Islam, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest other, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly




// T5 C3 land and religion
oprobit rlgdgr treatmentf post noEECf male  yrbrn round2 round3 round4 round5 round6 round7 round8 round9  Christian Protestant Orthodox Jewish Islam other land1 land2 land3 land4 land5 land6 land7 land8 land9 land10 land11 land12 land13 land14 land15 land16 if (yrbrn>=1963 & yrbrn<=1983),vce (cluster countryf)

boottest treatmentf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest Christian, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest Protestant, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest Orthodox, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest Jewish, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest Islam, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest other, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly


// T5 C4 interaction and land
oprobit rlgdgr treatmentf post noEECf male  yrbrn round2 round3 round4 round5 round6 round7 round8 round9  Christian_after1973 Christian_before1973 protestant_after1973 protestant_before1973 Orthodox_after1973 Orthodox_before1973 Jewish_after1973 Jewish_before1973 Islam_after1973 Islam_before1973 other_after1973 other_before1973 land1 land2 land3 land4 land5 land6 land7 land8 land9 land10 land11 land12 land13 land14 land15 land16  if (yrbrn>=1963 & yrbrn<=1983), vce (cluster countryf)

boottest treatmentf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest Christian_after1973, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest Christian_before1973, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest protestant_after1973, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest protestant_before1973, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest Orthodox_after1973, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest Orthodox_before1973, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest Jewish_after1973, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest Jewish_before1973, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest Islam_after1973, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest Islam_before1973, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest other_after1973, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest other_before1973, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly


// T5 C5 interaction and land and mother contry
oprobit rlgdgr treatmentf post noEECf male  yrbrn i.countrymm  round2 round3 round4 round5 round6 round7 round8 round9  Christian_after1973 Christian_before1973 protestant_after1973 protestant_before1973 Orthodox_after1973 Orthodox_before1973 Jewish_after1973 Jewish_before1973 Islam_after1973 Islam_before1973 other_after1973 other_before1973 land1 land2 land3 land4 land5 land6 land7 land8 land9 land10 land11 land12 land13 land14 land15 land16  if (yrbrn>=1963 & yrbrn<=1983), vce (cluster countryf)

boottest treatmentf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly



// T5 C6 interaction, land, mother contry, parents education
oprobit rlgdgr treatmentf post noEECf male  yrbrn i.countrymm i.eiscedf i.eiscedm round2 round3 round4 round5 round6 round7 round8 round9  Christian_after1973 Christian_before1973 protestant_after1973 protestant_before1973 Orthodox_after1973 Orthodox_before1973 Jewish_after1973 Jewish_before1973 Islam_after1973 Islam_before1973 other_after1973 other_before1973 land1 land2 land3 land4 land5 land6 land7 land8 land9 land10 land11 land12 land13 land14 land15 land16  if (yrbrn>=1963 & yrbrn<=1983), vce (cluster countryf)

boottest treatmentf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly




// TABLE6: MOTHER PARENTS MINORITIES

// T6 C1 mother
oprobit rlgdgr treatmentm noEECm post yrbrn male round1 round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn>=1963 & yrbrn<=1983) , vce (cluster countrym)

boottest treatmentm, cluster(countrym) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countrym) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECm, cluster(countrym) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countrym) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countrym) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly


// T6 C2 parents
oprobit rlgdgr treatmentp noEECp post yrbrn male round1 round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn>=1963 & yrbrn<=1983) , vce (cluster countryp)

boottest treatmentp, cluster(countrym) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countrym) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECp, cluster(countrym) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countrym) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countrym) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly


// 	T6 C2 at least one parent
oprobit rlgdgr treatmentpp noEECpp post yrbrn male round1 round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn>01963 & yrbrn<=1983) , vce (cluster countryp)

boottest treatmentpp, cluster(countrym) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countrym) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECpp, cluster(countrym) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countrym) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countrym) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly




// T6 C4 minorities
oprobit rlgdgr treatmentf post noEECf male  yrbrn round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn>=1963 & yrbrn<=1983)&  countryf!="AT"  & countryf!="RU"  & countryf!="UA"  & countryf!="BY"  &  countryf!="LV"  & countryf!="LT"  & countryf!="CS"  &   countryf!="PL"  & countryf!="KZ" & countryf!="US" & countryf!="BR" & countryf!="ZA" & countryf!="AG"  , vce (cluster countryf)


boottest treatmentf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly


	

// T6 C5 without born 1968-73
oprobit rlgdgr treatmentf post noEECf male yrbrn round1 round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn>=1963 & yrbrn<=1983 & yrbrn!=1968 & yrbrn!=1969 & yrbrn!=1970 & yrbrn!=1971 & yrbrn!=1972), vce (cluster countryf)

boottest treatmentf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly



// TABLE 7: WITHOUT VARIOUS COUNTRIES

// T7 C1 POLAND

oprobit rlgdgr treatmentf post noEECf male  yrbrn round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn>=1963 & yrbrn<=1983)& countryf!="PL",  vce(cluster countryf)

boottest treatmentf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly



// T7 C2 TURKEY

oprobit rlgdgr treatmentf post noEECf male  yrbrn round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn>=1963 & yrbrn<=1983) & countryf!="TR", vce (cluster countryf)

boottest treatmentf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly

// T7 C3 ITALY

oprobit rlgdgr treatmentf post noEECf male  yrbrn round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn>=1963 & yrbrn<=1983) & countryf!="IT", vce (cluster countryf)

boottest treatmentf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly


// T7 C4 CHZECHOSLOVAKIA

oprobit rlgdgr treatmentf post noEECf male  yrbrn round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn>=1963 & yrbrn<=1983) & countryf!="CZ", vce (cluster countryf)

boottest treatmentf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly


// T7 C5 AUSTRIA

oprobit rlgdgr treatmentf post noEECf male  yrbrn round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn>=1963 & yrbrn<=1983) & countryf!="AT", vce (cluster countryf)

boottest treatmentf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly


// T7 C6 HUNGARY

oprobit rlgdgr treatmentf post noEECf male  yrbrn round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn>=1963 & yrbrn<=1983) & countryf!="HU", vce (cluster countryf)

boottest treatmentf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly


// TABLE 8 CORRELATIONS
spearman rlgdgr Participation Pray

// TABLE 9: PRAY E PARTICIPATION

// T9 C1 partecipation

oprobit Participation treatmentf noEECf post yrbrn male round1 round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn > 1962 & yrbrn < 1984) , vce (cluster countryf)

boottest treatmentf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly



// T9 C2 pray

oprobit Pray treatmentf post noEECf male round1 round2 round3 round4 round5 round6 round7 round8 round9  yrbrn  if (yrbrn > 1962 & yrbrn < 1984)  , vce (cluster countryf)

boottest treatmentf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly





// T10 C1 oprobit cluster father country
oprobit rlgdgr treatmentf post noEECf male yrbrn round1 round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn>=1963 & yrbrn<=1983), vce (cluster countryf)

boottest treatmentf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countryf) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly

// T10 C2 oprobit cluster mother country
oprobit rlgdgr treatmentf post noEECf male yrbrn round1 round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn>=1963 & yrbrn<=1983), vce (cluster countryf)

boottest treatmentf, cluster(countrym) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(countrym) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(countrym) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(countrym) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(countrym) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly

// T10 C3 oprobit cluster religion
oprobit rlgdgr treatmentf post noEECf male yrbrn round1 round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn>=1963 & yrbrn<=1983), vce (cluster religion_atpresent)

boottest treatmentf, cluster(religion_atpresent) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(religion_atpresent) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(religion_atpresent) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(religion_atpresent) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(religion_atpresent) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly

// T10 C4 oprobit cluster yrbrn
oprobit rlgdgr treatmentf post noEECf male yrbrn round1 round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn>=1963 & yrbrn<=1983), vce (cluster yrbrn)

boottest treatmentf, cluster(yrbrn) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(yrbrn) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(yrbrn) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(yrbrn) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(yrbrn) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly

// T10 C4 oprobit cluster decade
oprobit rlgdgr treatmentf post noEECf male yrbrn round1 round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn>=1963 & yrbrn<=1983), vce (cluster decade)

boottest treatmentf, cluster(decade) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(decade) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(decade) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(decade) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(decade) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly

// T10 C5 oprobit cluster decade
oprobit rlgdgr treatmentf post noEECf male yrbrn round1 round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn>=1963 & yrbrn<=1983), vce (cluster decade)

boottest treatmentf, cluster(decade) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(decade) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(decade) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(decade) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(decade) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly

// T10 C6 oprobit cluster essround
oprobit rlgdgr treatmentf post noEECf male yrbrn round1 round2 round3 round4 round5 round6 round7 round8 round9 if (yrbrn>=1963 & yrbrn<=1983), vce (cluster essround)

boottest treatmentf, cluster(essround) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest post, cluster(essround) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest noEECf, cluster(essround) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest male, cluster(essround) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly
boottest yrbrn, cluster(essround) weighttype(mammen) seed(1) reps(1000) ptype(equaltail) quietly


// TABLE 11: MAIN REGRESSIONS, T=table C=column

// T11 C1 oprobit classic
oprobit rlgdgr treatmentf post noEECf male yrbrn round1 round2 round3 round4 round5 round6 round7 round8 round9  if (yrbrn>=1963 & yrbrn<=1983) 


// T11 C2 ols robust
reg rlgdgr treatmentf post noEECf male yrbrn round1 round2 round3 round4 round5 round6 round7 round8 round9  if (yrbrn>=1963 & yrbrn<=1983) , robust

